TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

RotateRows ( elt-alg^mat X, elt-ord^rat i, elt-ord^rat l, elt-ord^rat r ) -> elt-alg^mat

### Description

<shortdoc> Return the matrix obtained from X by rotating rows i .. l up by r steps. </shortdoc>

### Examples

x_m := Matrix(Z,3,3,[1,1,1,2,2,2,3,3,3]); RotateRows(x_m, 1,2,1); x_m := Matrix(Z,3,3,[1,1,1,2,2,2,3,3,3]); RotateRows(x_m, 1,3,1); x_m := Matrix(Z,3,3,[1,1,1,2,2,2,3,3,3]); RotateRows(x_m, 1,3,2);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack